# -*- coding: utf-8 -*-

# Copyright (C) 2010, 2011 Anaël Verrier <elghinn@free.fr>
# Copyright (C) 2014 kaliko <kaliko@azylum.org>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 only.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from .sid import botcmd

class Plugin(object):

    def __init__(self, bot):
        self.bot = bot
        self.log = bot.log

    def send(self, msg):
        """
        Send msg to the current groupchat defined in self.bot.room
            msg = {
                mbody: 'text',
                mhtml: '<b>text</b>,  # optional'
            }
        """
        if isinstance(msg, str):
            msg = {'mbody':msg}
        msg.setdefault('mhtml', None)
        self.bot.send_message(mto=self.bot.room,
                              mtype='groupchat',
                              **msg)

    def shutdown(self):
        pass
